## org.omg.DynamicAny
Class DynAnyHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynAnyHelper

public class DynAnyHelper
extends java.lang.Object

Helper class for : DynAny

Author:
  OpenORB Compiler

Constructor Summary
`DynAnyHelper()`

Method Summary
`static DynAny` `extract(Any a)` Extract DynAny from an any
`static java.lang.String` `id()` Return the DynAny IDL ID
`static void` `insert(Any a, DynAny t)` Insert DynAny into an any
`static DynAny` `narrow(Object obj)` Narrow CORBA::Object to DynAny
`static DynAny` `read(InputStream istream)` Read DynAny from a marshalled stream
`static TypeCode` `type()` Return the DynAny TypeCode
`static DynAny` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynAny
`static void` `write(OutputStream ostream, DynAny value)` Write DynAny into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynAnyHelper

    public DynAnyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynAny t)

  Insert DynAny into an any
  Parameters:
    `a` - an any
    `t` - DynAny value

### extract

    public static DynAny extract(Any a)

  Extract DynAny from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynAny value

### type

    public static TypeCode type()

  Return the DynAny TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynAny IDL ID
  Returns:
    an ID

### read

    public static DynAny read(InputStream istream)

  Read DynAny from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynAny value

### write

    public static void write(OutputStream ostream,
                             DynAny value)

  Write DynAny into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynAny value

### narrow

    public static DynAny narrow(Object obj)

  Narrow CORBA::Object to DynAny
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynAny Object

### unchecked_narrow

    public static DynAny unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynAny
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynAny Object